import {
  IsEmail,
  IsNotEmpty,
  IsOptional,
  IsString,
  MaxLength,
} from 'class-validator';

export class CreateOperadorDto {
  @IsEmail()
  correo: string;

  @IsString()
  @IsNotEmpty()
  @MaxLength(40)
  nombre: string;

  @IsString()
  operador: string;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  password: string;
}
