import {
  Column,
  Entity,
  JoinColumn,
  ManyToOne,
  OneToMany,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { InstitucionUsuario } from '../../institucion-usuario/entity/institucion-usuario.entity';
import { TipoUsuario } from '../../tipo-usuario/entity/tipo-usuario.entity';

@Entity()
export class Usuario {
  @PrimaryGeneratedColumn()
  id_usuario: number;

  @Column({ type: String, nullable: true, length: 60 })
  correo: string;

  @Column({ type: String, nullable: false, length: 100 })
  nombre: string;

  @Column({ type: String, nullable: true, length: 60, default: null })
  password: string;

  @Column({ type: String, nullable: true, length: 15 })
  rfc: string;

  @Column({ type: String, nullable: true, length: 10, default: null })
  telefono: string;

  @Column({ type: String, nullable: false, length: 10 })
  usuario: string;

  @Column({ type: Number, nullable: true })
  id_tipo_usuario: number;

  @ManyToOne(() => TipoUsuario, (tipoUsuario) => tipoUsuario.usuarios, {
    eager: true,
  })
  @JoinColumn({ name: 'id_tipo_usuario' })
  tipoUsuario: TipoUsuario;

  @OneToMany(
    () => InstitucionUsuario,
    (institucionUsuario) => institucionUsuario.usuario,
  )
  instituciones: InstitucionUsuario[];
}
