import * as dotenv from 'dotenv';
import {
  WebSocketGateway,
  OnGatewayInit,
  WebSocketServer,
  OnGatewayConnection,
  OnGatewayDisconnect,
} from '@nestjs/websockets';
import { Socket, Server } from 'socket.io';

dotenv.config();

@WebSocketGateway({ cors: { origin: [process.env.USUARIO_FRONT] } })
export class UsuarioGateway
  implements OnGatewayInit, OnGatewayConnection, OnGatewayDisconnect
{
  @WebSocketServer() server: Server;

  actualizarUsuario(id_usuario: number) {
    this.server.emit('actualizar-usuario', { id_usuario });
  }

  afterInit(server: Server) {}

  handleConnection(client: Socket, ...args: any[]) {}

  handleDisconnect(client: Socket) {}
}
